import React from "react";
import Dialog from "@material-ui/core/Dialog";
import DialogContent from "@material-ui/core/DialogContent";
import DialogTitle from "@material-ui/core/DialogTitle";
import { DialogContentText } from "@material-ui/core";
import { DialogActionBar } from "./DialogActionBar";

interface DialogSimpleProps {
  open: boolean;
  title: string;
  confirmButtonText: string;
  description: string;
  loading?: boolean;

  onConfirmButtonClick(): void;

  onClose(): void;
}

export default function DialogSimple(
  props: DialogSimpleProps
): React.ReactElement {
  return (
    <Dialog
      open={props.open}
      onClose={props.onClose}
      aria-labelledby="alert-dialog-title"
      aria-describedby="alert-dialog-description"
    >
      <DialogTitle id="alert-dialog-title">{props.title}</DialogTitle>
      <DialogContent>
        <DialogContentText id="alert-dialog-description">
          {props.description}
        </DialogContentText>
      </DialogContent>
      <DialogActionBar
        confirmButtonText={props.confirmButtonText}
        onClose={props.onClose}
        onConfirmButtonClick={props.onConfirmButtonClick}
      />
    </Dialog>
  );
}
