import { Container } from "@material-ui/core";
import React from "react";
import { makeStyles } from "@material-ui/core/styles";
import { Route, Switch } from "react-router-dom";
import { PersonRoutes } from "./Main";
import { MenuOption } from "./MainMenu";
import HomeIcon from "@material-ui/icons/Home";

const useStyles = makeStyles((theme) => ({
  container: {
    paddingTop: theme.spacing(4),
    paddingBottom: theme.spacing(4),
    flexDirection: "column",
  },
}));

interface UserRoutes extends PersonRoutes {
  home: MenuOption;
}

export const userRoutes: UserRoutes = {
  home: {
    title: "Home",
    path: "/",
    icon: <HomeIcon />,
  },
};

export function HomePageUser(): React.ReactElement {
  const classes = useStyles();

  return (
    <Container maxWidth="lg" className={classes.container}>
      <Switch>
        <Route exact path={userRoutes.home.path}>
          Sorry, für dich gibt es hier leider nichts zu sehen...
        </Route>
      </Switch>
    </Container>
  );
}
